KeyStoreBuilderParameters (Java SE 15 & JDK 15)
Description: declaration: module: java.base, package: javax.net.ssl, class: KeyStoreBuilderParameters
Keywords: javax.net.ssl.KeyStoreBuilderParameters class

Module java.base
Package javax.net.ssl

# Class KeyStoreBuilderParameters

java.lang.Object
javax.net.ssl.KeyStoreBuilderParameters

All Implemented Interfaces:
  `ManagerFactoryParameters`

    public class KeyStoreBuilderParameters
    extends Object
    implements ManagerFactoryParameters

A parameters object for X509KeyManagers that encapsulates a List of KeyStore.Builders.

Since:
  1.5
See Also:
  `KeyStore.Builder`, `X509KeyManager`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `KeyStoreBuilderParameters​(KeyStore.Builder builder)` | Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.
  `KeyStoreBuilderParameters​(List<KeyStore.Builder> parameters)` | Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `List<KeyStore.Builder>` | `getParameters()` | Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeyStoreBuilderParameters

    public KeyStoreBuilderParameters​(KeyStore.Builder builder)
    Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.
    Parameters:
      `builder` - the Builder object
    Throws:
      `NullPointerException` - if builder is null

  - ### KeyStoreBuilderParameters

    public KeyStoreBuilderParameters​(List<KeyStore.Builder> parameters)
    Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders. Note that the list is cloned to protect against subsequent modification.
    Parameters:
      `parameters` - the List of Builder objects
    Throws:
      `NullPointerException` - if parameters is null
      `IllegalArgumentException` - if parameters is an empty list

- ## Method Details

  - ### getParameters

    public List<KeyStore.Builder> getParameters()
    Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.
    Returns:
      the unmodifiable List of the KeyStore.Builders encapsulated by this object.